import { listServerFiles } from "../k8s/server-files.js";
import { sendError } from "../util/ExpressClientError.js";

export async function listFiles(req, res) {
  const serverSpec = req.body;
  if (!serverSpec) return res.sendStatus(400);
  if (!serverSpec.name) return res.status(400).send("Server name required!");
  listServerFiles(serverSpec)
    .then((f) => {
      const fileData = f.map((fi, i) => ({
        name: fi.name,
        isDir: fi.type === 2,
        id: `${fi.name}-${i}`,
        isHidden: fi.name.startsWith("."),
        isSymLink: !!fi.link,
        size: fi.size,
      }));
      console.log(fileData);
      res.json(fileData);
    })
    .catch(sendError(res));
}

export async function uploadFile(req, res) {}
